<div class="mt-2 float-left">
  <h2>Tabela de Simulações:</h2>
</div>
<div class="mt-2 mr-5 float-right">
  <button routerLink="/cadastrar-simulacao" class="btn btn-dark float-right" >Gerar uma Simulação</button>
</div>
<div *ngIf="simulacoes.length == 0" >
  <h1 class="alert-danger" >Nenhuma Simulação foi computada ainda!</h1>
</div>
<div *ngIf="simulacoes.length > 0">
  <table class="table table-striped dt-responsive row-border hover">
    <thead>
    <tr>
      <th>Nome da Pessoa</th>
      <th>Valor Segurado</th>
      <th>Nº contrato empréstimo</th>
      <th>Data da Simulação</th>
      <th>Fim do contrato Empréstimo</th>
      <th>Valor Prêmio</th>
      <th>Produto</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let simulacao of simulacoes">
      <td>{{simulacao.nomePessoa}}</td>
      <td>R${{simulacao.valorSegurado}}</td>
      <td>{{simulacao.numeroContratoEmprestimo}}</td>
      <td>{{simulacao.dataSimulacao}}</td>
      <td>{{simulacao.fimContratoEmprestimo}}</td>
      <td>R${{simulacao.valorTotalPremio}}</td>
      <td>{{simulacao.produtoEscolhido.nome}}</td>
    </tr>
    </tbody>
  </table>
</div>

